%global         momorel 1
%global         srcver 1.56

Name:           perl-DateTime-Format-Strptime
Version:        %{srcver}00
Release:        %{momorel}m%{?dist}
Summary:        Parse and format strp and strf time patterns
License:        "Artistic 2.0"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Format-Strptime/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/DateTime-Format-Strptime-%{srcver}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-DateTime >= 0.4304
BuildRequires:  perl-DateTime-Locale >= 0.45
BuildRequires:  perl-DateTime-TimeZone >= 0.79
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Params-Validate >= 0.64
BuildRequires:  perl-Test-Simple >= 0.88
Requires:       perl-DateTime >= 0.4304
Requires:       perl-DateTime-Locale >= 0.45
Requires:       perl-DateTime-TimeZone >= 0.79
Requires:       perl-Params-Validate >= 0.64
Requires:       perl-Test-Simple >= 0.88
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module implements most of strptime(3), the POSIX function that is the
reverse of strftime(3), for DateTime. While strftime takes a DateTime and a
pattern and returns a string, strptime takes a string and a pattern and
returns the DateTime object associated.

%prep
%setup -q -n DateTime-Format-Strptime-%{srcver}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README.md
%{perl_vendorlib}/DateTime/Format/*
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5600-1m)
- update to 1.56

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5500-2m)
- rebuild against perl-5.20.0

* Mon May  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5500-1m)
- update to 1.55

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5400-4m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5400-3m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5400-2m)
- rebuild against perl-5.18.0

* Thu Apr  4 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5400-1m)
- update to 1.54

* Wed Apr  3 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5300-1m)
- update to 1.53

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5200-4m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5200-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5200-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5200-1m)
- update to 1.52
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5000-6m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5000-5m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5000-4m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5000-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5000-2m)
- rebuild for new GCC 4.5

* Sun Oct 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5000-1m)
- update to 1.5000

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4000-3m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4000-2m)
- full rebuild for mo7 release

* Tue Jun 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4000-1m)
- update to 1.4000

* Sun Jun 27 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3000-1m)
- update to 1.3000

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2000-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2000-2m)
- rebuild against perl-5.12.0

* Sun Mar 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2000-1m)
- update to 1.2000

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1000-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated
- Specfile re-generated by cpanspec 1.78.

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1000-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1000-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1000-1m)
- update to 1.1000

* Sat May 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0901-1m)
- update to 1.0901

* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0900-1m)
- update to 1.0900

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0800-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0800-1m)
- update to 1.0800

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0702-2m)
- rebuild against gcc43

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0702-1m)
- update to 1.0702
- modify BuildRequires: and Requires: section

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0700-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0700-1m)
- spec file was autogenerated
